/*!
 *
 * MediaElement.js
 * HTML5 <video> and <audio> shim and player
 * http://mediaelementjs.com/
 *
 * Creates a JavaScript object that mimics HTML5 MediaElement API
 * for browsers that don't understand HTML5 or can't play the provided codec
 * Can play MP4 (H.264), Ogg, WebM, FLV, WMV, WMA, ACC, and MP3
 *
 * Copyright 2010-2014, John Dyer (http://j.hn)
 * License: MIT
 *
 */var mejs=mejs||{};mejs.version="2.20.1",mejs.meIndex=0,mejs.plugins={silverlight:[{version:[3,0],types:["video/mp4","video/m4v","video/mov","video/wmv","audio/wma","audio/m4a","audio/mp3","audio/wav","audio/mpeg"]}],flash:[{version:[9,0,124],types:["video/mp4","video/m4v","video/mov","video/flv","video/rtmp","video/x-flv","audio/flv","audio/x-flv","audio/mp3","audio/m4a","audio/mpeg","video/dailymotion","video/x-dailymotion","application/x-mpegURL"]}],youtube:[{version:null,types:["video/youtube","video/x-youtube","audio/youtube","audio/x-youtube"]}],vimeo:[{version:null,types:["video/vimeo","video/x-vimeo"]}]},mejs.Utility={encodeUrl:function(s){return encodeURIComponent(s)},escapeHTML:function(s){return s.toString().split("&").join("&amp;").split("<").join("&lt;").split('"').join("&quot;")},absolutizeUrl:function(s){var e=document.createElement("div");return e.innerHTML='<a href="'+this.escapeHTML(s)+'">x</a>',e.firstChild.href},getScriptPath:function(s){for(var e,t,o,a,n,r,l=0,u="",d="",c=document.getElementsByTagName("script"),m=c.length,p=s.length;m>l;l++){for(a=c[l].src,t=a.lastIndexOf("/"),t>-1?(r=a.substring(t+1),n=a.substring(0,t+1)):(r=a,n=""),e=0;p>e;e++)if(d=s[e],o=r.indexOf(d),o>-1){u=n;break}if(u!=="")break}return u},calculateTimeFormat:function(s,e,t){0>s&&(s=0),typeof t=="undefined"&&(t=25);var o=e.timeFormat,a=o[0],n=o[1]==o[0],r=n?2:1,l=":",u=Math.floor(s/3600)%24,d=Math.floor(s/60)%60,c=Math.floor(s%60),m=Math.floor((s%1*t).toFixed(3)),p=[[m,"f"],[c,"s"],[d,"m"],[u,"h"]];o.length<r&&(l=o[r]);for(var y=!1,f=0,k=p.length;k>f;f++)if(o.indexOf(p[f][1])!==-1)y=!0;else if(y){for(var w=!1,h=f;k>h;h++)if(p[h][0]>0){w=!0;break}if(!w)break;n||(o=a+o),o=p[f][1]+l+o,n&&(o=p[f][1]+o),a=p[f][1]}e.currentTimeFormat=o},twoDigitsString:function(s){return 10>s?"0"+s:String(s)},secondsToTimeCode:function(s,e){if(0>s&&(s=0),typeof e!="object"){var o="m:ss";o=arguments[1]?"hh:mm:ss":o,o=arguments[2]?o+":ff":o,e={currentTimeFormat:o,framesPerSecond:arguments[3]||25}}var t=e.framesPerSecond;typeof t=="undefined"&&(t=25);var o=e.currentTimeFormat,a=Math.floor(s/3600)%24,n=Math.floor(s/60)%60,r=Math.floor(s%60),l=Math.floor((s%1*t).toFixed(3));lis=[[l,"f"],[r,"s"],[n,"m"],[a,"h"]];var u=o;for(i=0,len=lis.length;i<len;i++)u=u.replace(lis[i][1]+lis[i][1],this.twoDigitsString(lis[i][0])),u=u.replace(lis[i][1],lis[i][0]);return u},timeCodeToSeconds:function(s,e,t,o){typeof t=="undefined"?t=!1:typeof o=="undefined"&&(o=25);var a=s.split(":"),n=parseInt(a[0],10),r=parseInt(a[1],10),l=parseInt(a[2],10),u=0,d=0;return t&&(u=parseInt(a[3])/o),d=3600*n+60*r+l+u},convertSMPTEtoSeconds:function(s){if(typeof s!="string")return!1;s=s.replace(",",".");var e=0,t=s.indexOf(".")!=-1?s.split(".")[1].length:0,o=1;s=s.split(":").reverse();for(var a=0;a<s.length;a++)o=1,a>0&&(o=Math.pow(60,a)),e+=Number(s[a])*o;return Number(e.toFixed(t))},removeSwf:function(s){var e=document.getElementById(s);e&&/object|embed/i.test(e.nodeName)&&(mejs.MediaFeatures.isIE?(e.style.display="none",function(){e.readyState==4?mejs.Utility.removeObjectInIE(s):setTimeout(arguments.callee,10)}()):e.parentNode.removeChild(e))},removeObjectInIE:function(s){var e=document.getElementById(s);if(e){for(var t in e)typeof e[t]=="function"&&(e[t]=null);e.parentNode.removeChild(e)}}},mejs.PluginDetector={hasPluginVersion:function(s,e){var t=this.plugins[s];return e[1]=e[1]||0,e[2]=e[2]||0,t[0]>e[0]||t[0]==e[0]&&t[1]>e[1]||t[0]==e[0]&&t[1]==e[1]&&t[2]>=e[2]},nav:window.navigator,ua:window.navigator.userAgent.toLowerCase(),plugins:[],addPlugin:function(s,e,t,o,a){this.plugins[s]=this.detectPlugin(e,t,o,a)},detectPlugin:function(s,e,t,o){var a,n,r,l=[0,0,0];if(typeof this.nav.plugins!="undefined"&&typeof this.nav.plugins[s]=="object"){if(a=this.nav.plugins[s].description,a&&(typeof this.nav.mimeTypes=="undefined"||!this.nav.mimeTypes[e]||this.nav.mimeTypes[e].enabledPlugin))for(l=a.replace(s,"").replace(/^\s+/,"").replace(/\sr/gi,".").split("."),n=0;n<l.length;n++)l[n]=parseInt(l[n].match(/\d+/),10)}else if(typeof window.ActiveXObject!="undefined")try{r=new ActiveXObject(t),r&&(l=o(r))}catch(u){}return l}},mejs.PluginDetector.addPlugin("flash","Shockwave Flash","application/x-shockwave-flash","ShockwaveFlash.ShockwaveFlash",function(s){var e=[],t=s.GetVariable("$version");return t&&(t=t.split(" ")[1].split(","),e=[parseInt(t[0],10),parseInt(t[1],10),parseInt(t[2],10)]),e}),mejs.PluginDetector.addPlugin("silverlight","Silverlight Plug-In","application/x-silverlight-2","AgControl.AgControl",function(s){var e=[0,0,0,0],t=function(o,a,n,r){for(;o.isVersionSupported(a[0]+"."+a[1]+"."+a[2]+"."+a[3]);)a[n]+=r;a[n]-=r};return t(s,e,0,1),t(s,e,1,1),t(s,e,2,1e4),t(s,e,2,1e3),t(s,e,2,100),t(s,e,2,10),t(s,e,2,1),t(s,e,3,1),e}),mejs.MediaFeatures={init:function(){var s,e,t=this,o=document,a=mejs.PluginDetector.nav,n=mejs.PluginDetector.ua.toLowerCase(),r=["source","track","audio","video"];for(t.isiPad=n.match(/ipad/i)!==null,t.isiPhone=n.match(/iphone/i)!==null,t.isiOS=t.isiPhone||t.isiPad,t.isAndroid=n.match(/android/i)!==null,t.isBustedAndroid=n.match(/android 2\.[12]/)!==null,t.isBustedNativeHTTPS=location.protocol==="https:"&&(n.match(/android [12]\./)!==null||n.match(/macintosh.* version.* safari/)!==null),t.isIE=a.appName.toLowerCase().indexOf("microsoft")!=-1||a.appName.toLowerCase().match(/trident/gi)!==null,t.isChrome=n.match(/chrome/gi)!==null,t.isChromium=n.match(/chromium/gi)!==null,t.isFirefox=n.match(/firefox/gi)!==null,t.isWebkit=n.match(/webkit/gi)!==null,t.isGecko=n.match(/gecko/gi)!==null&&!t.isWebkit&&!t.isIE,t.isOpera=n.match(/opera/gi)!==null,t.hasTouch=("ontouchstart"in window),t.svgAsImg=!!document.implementation.hasFeature("https://www.w3.org/TR/SVG11/feature#Image","1.1"),s=0;s<r.length;s++)e=document.createElement(r[s]);t.supportsMediaTag=typeof e.canPlayType!="undefined"||t.isBustedAndroid;try{e.canPlayType("video/mp4")}catch(l){t.supportsMediaTag=!1}t.supportsPointerEvents=function(){var l,u=document.createElement("x"),d=document.documentElement,c=window.getComputedStyle;return"pointerEvents"in u.style?(u.style.pointerEvents="auto",u.style.pointerEvents="x",d.appendChild(u),l=c&&c(u,"").pointerEvents==="auto",d.removeChild(u),!!l):!1}(),t.hasFirefoxPluginMovingProblem=!1,t.hasiOSFullScreen=typeof e.webkitEnterFullscreen!="undefined",t.hasNativeFullscreen=typeof e.requestFullscreen!="undefined",t.hasWebkitNativeFullScreen=typeof e.webkitRequestFullScreen!="undefined",t.hasMozNativeFullScreen=typeof e.mozRequestFullScreen!="undefined",t.hasMsNativeFullScreen=typeof e.msRequestFullscreen!="undefined",t.hasTrueNativeFullScreen=t.hasWebkitNativeFullScreen||t.hasMozNativeFullScreen||t.hasMsNativeFullScreen,t.nativeFullScreenEnabled=t.hasTrueNativeFullScreen,t.hasMozNativeFullScreen?t.nativeFullScreenEnabled=document.mozFullScreenEnabled:t.hasMsNativeFullScreen&&(t.nativeFullScreenEnabled=document.msFullscreenEnabled),t.isChrome&&(t.hasiOSFullScreen=!1),t.hasTrueNativeFullScreen&&(t.fullScreenEventName="",t.hasWebkitNativeFullScreen?t.fullScreenEventName="webkitfullscreenchange":t.hasMozNativeFullScreen?t.fullScreenEventName="mozfullscreenchange":t.hasMsNativeFullScreen&&(t.fullScreenEventName="MSFullscreenChange"),t.isFullScreen=function(){return t.hasMozNativeFullScreen?o.mozFullScreen:t.hasWebkitNativeFullScreen?o.webkitIsFullScreen:t.hasMsNativeFullScreen?o.msFullscreenElement!==null:void 0},t.requestFullScreen=function(l){t.hasWebkitNativeFullScreen?l.webkitRequestFullScreen():t.hasMozNativeFullScreen?l.mozRequestFullScreen():t.hasMsNativeFullScreen&&l.msRequestFullscreen()},t.cancelFullScreen=function(){t.hasWebkitNativeFullScreen?document.webkitCancelFullScreen():t.hasMozNativeFullScreen?document.mozCancelFullScreen():t.hasMsNativeFullScreen&&document.msExitFullscreen()}),t.hasiOSFullScreen&&n.match(/mac os x 10_5/i)&&(t.hasNativeFullScreen=!1,t.hasiOSFullScreen=!1)}},mejs.MediaFeatures.init(),mejs.HtmlMediaElement={pluginType:"native",isFullScreen:!1,setCurrentTime:function(s){this.currentTime=s},setMuted:function(s){this.muted=s},setVolume:function(s){this.volume=s},stop:function(){this.pause()},setSrc:function(s){for(var e=this.getElementsByTagName("source");e.length>0;)this.removeChild(e[0]);if(typeof s=="string")this.src=s;else{var t,o;for(t=0;t<s.length;t++)if(o=s[t],this.canPlayType(o.type)){this.src=o.src;break}}},setVideoSize:function(s,e){this.width=s,this.height=e}},mejs.PluginMediaElement=function(s,e,t){this.id=s,this.pluginType=e,this.src=t,this.events={},this.attributes={}},mejs.PluginMediaElement.prototype={pluginElement:null,pluginType:"",isFullScreen:!1,playbackRate:-1,defaultPlaybackRate:-1,seekable:[],played:[],paused:!0,ended:!1,seeking:!1,duration:0,error:null,tagName:"",muted:!1,volume:1,currentTime:0,play:function(){this.pluginApi!=null&&(this.pluginType=="youtube"||this.pluginType=="vimeo"?this.pluginApi.playVideo():this.pluginApi.playMedia(),this.paused=!1)},load:function(){this.pluginApi!=null&&(this.pluginType=="youtube"||this.pluginType=="vimeo"||this.pluginApi.loadMedia(),this.paused=!1)},pause:function(){this.pluginApi!=null&&(this.pluginType=="youtube"||this.pluginType=="vimeo"?this.pluginApi.pauseVideo():this.pluginApi.pauseMedia(),this.paused=!0)},stop:function(){this.pluginApi!=null&&(this.pluginType=="youtube"||this.pluginType=="vimeo"?this.pluginApi.stopVideo():this.pluginApi.stopMedia(),this.paused=!0)},canPlayType:function(s){var e,t,o,a=mejs.plugins[this.pluginType];for(e=0;e<a.length;e++)if(o=a[e],mejs.PluginDetector.hasPluginVersion(this.pluginType,o.version)){for(t=0;t<o.types.length;t++)if(s==o.types[t])return"probably"}return""},positionFullscreenButton:function(s,e,t){this.pluginApi!=null&&this.pluginApi.positionFullscreenButton&&this.pluginApi.positionFullscreenButton(Math.floor(s),Math.floor(e),t)},hideFullscreenButton:function(){this.pluginApi!=null&&this.pluginApi.hideFullscreenButton&&this.pluginApi.hideFullscreenButton()},setSrc:function(s){if(typeof s=="string")this.pluginApi.setSrc(mejs.Utility.absolutizeUrl(s)),this.src=mejs.Utility.absolutizeUrl(s);else{var e,t;for(e=0;e<s.length;e++)if(t=s[e],this.canPlayType(t.type)){this.pluginApi.setSrc(mejs.Utility.absolutizeUrl(t.src)),this.src=mejs.Utility.absolutizeUrl(t.src);break}}},setCurrentTime:function(s){this.pluginApi!=null&&(this.pluginType=="youtube"||this.pluginType=="vimeo"?this.pluginApi.seekTo(s):this.pluginApi.setCurrentTime(s),this.currentTime=s)},setVolume:function(s){this.pluginApi!=null&&(this.pluginType=="youtube"?this.pluginApi.setVolume(100*s):this.pluginApi.setVolume(s),this.volume=s)},setMuted:function(s){this.pluginApi!=null&&(this.pluginType=="youtube"?(s?this.pluginApi.mute():this.pluginApi.unMute(),this.muted=s,this.dispatchEvent({type:"volumechange"})):this.pluginApi.setMuted(s),this.muted=s)},setVideoSize:function(s,e){this.pluginElement&&this.pluginElement.style&&(this.pluginElement.style.width=s+"px",this.pluginElement.style.height=e+"px"),this.pluginApi!=null&&this.pluginApi.setVideoSize&&this.pluginApi.setVideoSize(s,e)},setFullscreen:function(s){this.pluginApi!=null&&this.pluginApi.setFullscreen&&this.pluginApi.setFullscreen(s)},enterFullScreen:function(){this.pluginApi!=null&&this.pluginApi.setFullscreen&&this.setFullscreen(!0)},exitFullScreen:function(){this.pluginApi!=null&&this.pluginApi.setFullscreen&&this.setFullscreen(!1)},addEventListener:function(s,e,t){this.events[s]=this.events[s]||[],this.events[s].push(e)},removeEventListener:function(s,e){if(!s)return this.events={},!0;var t=this.events[s];if(!t)return!0;if(!e)return this.events[s]=[],!0;for(var o=0;o<t.length;o++)if(t[o]===e)return this.events[s].splice(o,1),!0;return!1},dispatchEvent:function(s){var e,t=this.events[s.type];if(t)for(e=0;e<t.length;e++)t[e].apply(this,[s])},hasAttribute:function(s){return s in this.attributes},removeAttribute:function(s){delete this.attributes[s]},getAttribute:function(s){return this.hasAttribute(s)?this.attributes[s]:""},setAttribute:function(s,e){this.attributes[s]=e},remove:function(){mejs.Utility.removeSwf(this.pluginElement.id),mejs.MediaPluginBridge.unregisterPluginElement(this.pluginElement.id)}},mejs.MediaPluginBridge={pluginMediaElements:{},htmlMediaElements:{},registerPluginElement:function(s,e,t){this.pluginMediaElements[s]=e,this.htmlMediaElements[s]=t},unregisterPluginElement:function(s){delete this.pluginMediaElements[s],delete this.htmlMediaElements[s]},initPlugin:function(s){var e=this.pluginMediaElements[s],t=this.htmlMediaElements[s];if(e){switch(e.pluginType){case"flash":e.pluginElement=e.pluginApi=document.getElementById(s);break;case"silverlight":e.pluginElement=document.getElementById(e.id),e.pluginApi=e.pluginElement.Content.MediaElementJS}e.pluginApi!=null&&e.success&&e.success(e,t)}},fireEvent:function(s,e,t){var o,a,n,r=this.pluginMediaElements[s];if(r){o={type:e,target:r};for(a in t)r[a]=t[a],o[a]=t[a];n=t.bufferedTime||0,o.target.buffered=o.buffered={start:function(l){return 0},end:function(l){return n},length:1},r.dispatchEvent(o)}}},mejs.MediaElementDefaults={mode:"auto",plugins:["flash","silverlight","youtube","vimeo"],enablePluginDebug:!1,httpsBasicAuthSite:!1,type:"",pluginPath:mejs.Utility.getScriptPath(["mediaelement.js","mediaelement.min.js","mediaelement-and-player.js","mediaelement-and-player.min.js"]),flashName:"flashmediaelement.swf",flashStreamer:"",flashScriptAccess:"sameDomain",enablePluginSmoothing:!1,enablePseudoStreaming:!1,pseudoStreamingStartQueryParam:"start",silverlightName:"silverlightmediaelement.xap",defaultVideoWidth:480,defaultVideoHeight:270,pluginWidth:-1,pluginHeight:-1,pluginVars:[],timerRate:250,startVolume:.8,success:function(){},error:function(){}},mejs.MediaElement=function(s,e){return mejs.HtmlMediaElementShim.create(s,e)},mejs.HtmlMediaElementShim={create:function(s,e){var t,o,a={},n=typeof s=="string"?document.getElementById(s):s,r=n.tagName.toLowerCase(),l=r==="audio"||r==="video",u=l?n.getAttribute("src"):n.getAttribute("href"),d=n.getAttribute("poster"),c=n.getAttribute("autoplay"),m=n.getAttribute("preload"),p=n.getAttribute("controls");for(o in mejs.MediaElementDefaults)a[o]=mejs.MediaElementDefaults[o];for(o in e)a[o]=e[o];return u=typeof u=="undefined"||u===null||u==""?null:u,d=typeof d=="undefined"||d===null?"":d,m=typeof m=="undefined"||m===null||m==="false"?"none":m,c=!(typeof c=="undefined"||c===null||c==="false"),p=!(typeof p=="undefined"||p===null||p==="false"),t=this.determinePlayback(n,a,mejs.MediaFeatures.supportsMediaTag,l,u),t.url=t.url!==null?mejs.Utility.absolutizeUrl(t.url):"",t.method=="native"?(mejs.MediaFeatures.isBustedAndroid&&(n.src=t.url,n.addEventListener("click",function(){n.play()},!1)),this.updateNative(t,a,c,m)):t.method!==""?this.createPlugin(t,a,d,c,m,p):(this.createErrorMessage(t,a,d),this)},determinePlayback:function(s,e,t,o,a){var n,r,l,u,d,c,m,p,y,f,k,w=[],h={method:"",url:"",htmlMediaElement:s,isVideo:s.tagName.toLowerCase()!="audio"};if(typeof e.type!="undefined"&&e.type!=="")if(typeof e.type=="string")w.push({type:e.type,url:a});else for(n=0;n<e.type.length;n++)w.push({type:e.type[n],url:a});else if(a!==null)c=this.formatType(a,s.getAttribute("type")),w.push({type:c,url:a});else for(n=0;n<s.childNodes.length;n++)d=s.childNodes[n],d.nodeType==1&&d.tagName.toLowerCase()=="source"&&(a=d.getAttribute("src"),c=this.formatType(a,d.getAttribute("type")),k=d.getAttribute("media"),(!k||!window.matchMedia||window.matchMedia&&window.matchMedia(k).matches)&&w.push({type:c,url:a}));if(!o&&w.length>0&&w[0].url!==null&&this.getTypeFromFile(w[0].url).indexOf("audio")>-1&&(h.isVideo=!1),mejs.MediaFeatures.isBustedAndroid&&(s.canPlayType=function(T){return T.match(/video\/(mp4|m4v)/gi)!==null?"maybe":""}),mejs.MediaFeatures.isChromium&&(s.canPlayType=function(T){return T.match(/video\/(webm|ogv|ogg)/gi)!==null?"maybe":""}),t&&(e.mode==="auto"||e.mode==="auto_plugin"||e.mode==="native")&&(!mejs.MediaFeatures.isBustedNativeHTTPS||e.httpsBasicAuthSite!==!0)){for(o||(f=document.createElement(h.isVideo?"video":"audio"),s.parentNode.insertBefore(f,s),s.style.display="none",h.htmlMediaElement=s=f),n=0;n<w.length;n++)if(w[n].type=="video/m3u8"||s.canPlayType(w[n].type).replace(/no/,"")!==""||s.canPlayType(w[n].type.replace(/mp3/,"mpeg")).replace(/no/,"")!==""||s.canPlayType(w[n].type.replace(/m4a/,"mp4")).replace(/no/,"")!==""){h.method="native",h.url=w[n].url;break}if(h.method==="native"&&(h.url!==null&&(s.src=h.url),e.mode!=="auto_plugin"))return h}if(e.mode==="auto"||e.mode==="auto_plugin"||e.mode==="shim"){for(n=0;n<w.length;n++)for(c=w[n].type,r=0;r<e.plugins.length;r++)for(m=e.plugins[r],p=mejs.plugins[m],l=0;l<p.length;l++)if(y=p[l],y.version==null||mejs.PluginDetector.hasPluginVersion(m,y.version)){for(u=0;u<y.types.length;u++)if(c.toLowerCase()==y.types[u].toLowerCase())return h.method=m,h.url=w[n].url,h}}return e.mode==="auto_plugin"&&h.method==="native"||h.method===""&&w.length>0&&(h.url=w[0].url),h},formatType:function(s,e){return s&&!e?this.getTypeFromFile(s):e&&~e.indexOf(";")?e.substr(0,e.indexOf(";")):e},getTypeFromFile:function(s){s=s.split("?")[0];var e=s.substring(s.lastIndexOf(".")+1).toLowerCase(),t=/(mp4|m4v|ogg|ogv|m3u8|webm|webmv|flv|wmv|mpeg|mov)/gi.test(e)?"video/":"audio/";return this.getTypeFromExtension(e,t)},getTypeFromExtension:function(s,e){switch(e=e||"",s){case"mp4":case"m4v":case"m4a":case"f4v":case"f4a":return e+"mp4";case"flv":return e+"x-flv";case"webm":case"webma":case"webmv":return e+"webm";case"ogg":case"oga":case"ogv":return e+"ogg";case"m3u8":return"application/x-mpegurl";case"ts":return e+"mp2t";default:return e+s}},createErrorMessage:function(s,e,t){var o=s.htmlMediaElement,a=document.createElement("div"),n=e.customError;a.className="me-cannotplay";try{a.style.width=o.width+"px",a.style.height=o.height+"px"}catch(r){}n||(n='<a href="'+s.url+'">',t!==""&&(n+='<img src="'+t+'" width="100%" height="100%" alt="" />'),n+="<span>"+mejs.i18n.t("Download File")+"</span></a>"),a.innerHTML=n,o.parentNode.insertBefore(a,o),o.style.display="none",e.error(o)},createPlugin:function(s,e,t,o,a,n){var r,l,u,d=s.htmlMediaElement,c=1,m=1,p="me_"+s.method+"_"+mejs.meIndex++,y=new mejs.PluginMediaElement(p,s.method,s.url),f=document.createElement("div");y.tagName=d.tagName;for(var k=0;k<d.attributes.length;k++){var w=d.attributes[k];w.specified&&y.setAttribute(w.name,w.value)}for(l=d.parentNode;l!==null&&l.tagName!=null&&l.tagName.toLowerCase()!=="body"&&l.parentNode!=null&&l.parentNode.tagName!=null&&l.parentNode.constructor!=null&&l.parentNode.constructor.name==="ShadowRoot";){if(l.parentNode.tagName.toLowerCase()==="p"){l.parentNode.parentNode.insertBefore(l,l.parentNode);break}l=l.parentNode}switch(s.isVideo?(c=e.pluginWidth>0?e.pluginWidth:e.videoWidth>0?e.videoWidth:d.getAttribute("width")!==null?d.getAttribute("width"):e.defaultVideoWidth,m=e.pluginHeight>0?e.pluginHeight:e.videoHeight>0?e.videoHeight:d.getAttribute("height")!==null?d.getAttribute("height"):e.defaultVideoHeight,c=mejs.Utility.encodeUrl(c),m=mejs.Utility.encodeUrl(m)):e.enablePluginDebug&&(c=320,m=240),y.success=e.success,mejs.MediaPluginBridge.registerPluginElement(p,y,d),f.className="me-plugin",f.id=p+"_container",s.isVideo?d.parentNode.insertBefore(f,d):document.body.insertBefore(f,document.body.childNodes[0]),u=["id="+p,"jsinitfunction=mejs.MediaPluginBridge.initPlugin","jscallbackfunction=mejs.MediaPluginBridge.fireEvent","isvideo="+(s.isVideo?"true":"false"),"autoplay="+(o?"true":"false"),"preload="+a,"width="+c,"startvolume="+e.startVolume,"timerrate="+e.timerRate,"flashstreamer="+e.flashStreamer,"height="+m,"pseudostreamstart="+e.pseudoStreamingStartQueryParam],s.url!==null&&(s.method=="flash"?u.push("file="+mejs.Utility.encodeUrl(s.url)):u.push("file="+s.url)),e.enablePluginDebug&&u.push("debug=true"),e.enablePluginSmoothing&&u.push("smoothing=true"),e.enablePseudoStreaming&&u.push("pseudostreaming=true"),n&&u.push("controls=true"),e.pluginVars&&(u=u.concat(e.pluginVars)),s.method){case"silverlight":f.innerHTML='<object data="data:application/x-silverlight-2," type="application/x-silverlight-2" id="'+p+'" name="'+p+'" width="'+c+'" height="'+m+'" class="mejs-shim"><param name="initParams" value="'+u.join(",")+'" /><param name="windowless" value="true" /><param name="background" value="black" /><param name="minRuntimeVersion" value="3.0.0.0" /><param name="autoUpgrade" value="true" /><param name="source" value="'+e.pluginPath+e.silverlightName+'" /></object>';break;case"flash":mejs.MediaFeatures.isIE?(r=document.createElement("div"),f.appendChild(r),r.outerHTML='<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="//download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab" id="'+p+'" width="'+c+'" height="'+m+'" class="mejs-shim"><param name="movie" value="'+e.pluginPath+e.flashName+"?x="+new Date+'" /><param name="flashvars" value="'+u.join("&amp;")+'" /><param name="quality" value="high" /><param name="bgcolor" value="#000000" /><param name="wmode" value="transparent" /><param name="allowScriptAccess" value="'+e.flashScriptAccess+'" /><param name="allowFullScreen" value="true" /><param name="scale" value="default" /></object>'):f.innerHTML='<embed id="'+p+'" name="'+p+'" play="true" loop="false" quality="high" bgcolor="#000000" wmode="transparent" allowScriptAccess="'+e.flashScriptAccess+'" allowFullScreen="true" type="application/x-shockwave-flash" pluginspage="//www.macromedia.com/go/getflashplayer" src="'+e.pluginPath+e.flashName+'" flashvars="'+u.join("&")+'" width="'+c+'" height="'+m+'" scale="default"class="mejs-shim"></embed>';break;case"youtube":var h;s.url.lastIndexOf("youtu.be")!=-1?(h=s.url.substr(s.url.lastIndexOf("/")+1),h.indexOf("?")!=-1&&(h=h.substr(0,h.indexOf("?")))):h=s.url.substr(s.url.lastIndexOf("=")+1),youtubeSettings={container:f,containerId:f.id,pluginMediaElement:y,pluginId:p,videoId:h,height:m,width:c},window.postMessage?mejs.YouTubeApi.enqueueIframe(youtubeSettings):mejs.PluginDetector.hasPluginVersion("flash",[10,0,0])&&mejs.YouTubeApi.createFlash(youtubeSettings,e);break;case"vimeo":var T=p+"_player";if(y.vimeoid=s.url.substr(s.url.lastIndexOf("/")+1),f.innerHTML='<iframe src="//player.vimeo.com/video/'+y.vimeoid+"?api=1&portrait=0&byline=0&title=0&player_id="+T+'" width="'+c+'" height="'+m+'" frameborder="0" class="mejs-shim" id="'+T+'" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',typeof $f=="function"){var v=$f(f.childNodes[0]);v.addEvent("ready",function(){function C(g,b,S,j){var M={type:S,target:b};S=="timeupdate"&&(b.currentTime=M.currentTime=j.seconds,b.duration=M.duration=j.duration),b.dispatchEvent(M)}v.playVideo=function(){v.api("play")},v.stopVideo=function(){v.api("unload")},v.pauseVideo=function(){v.api("pause")},v.seekTo=function(g){v.api("seekTo",g)},v.setVolume=function(g){v.api("setVolume",g)},v.setMuted=function(g){g?(v.lastVolume=v.api("getVolume"),v.api("setVolume",0)):(v.api("setVolume",v.lastVolume),delete v.lastVolume)},v.addEvent("play",function(){C(v,y,"play"),C(v,y,"playing")}),v.addEvent("pause",function(){C(v,y,"pause")}),v.addEvent("finish",function(){C(v,y,"ended")}),v.addEvent("playProgress",function(g){C(v,y,"timeupdate",g)}),y.pluginElement=f,y.pluginApi=v,mejs.MediaPluginBridge.initPlugin(p)})}else console.warn("You need to include froogaloop for vimeo to work")}return d.style.display="none",d.removeAttribute("autoplay"),y},updateNative:function(s,e,t,o){var a,n=s.htmlMediaElement;for(a in mejs.HtmlMediaElement)n[a]=mejs.HtmlMediaElement[a];return e.success(n,n),n}},mejs.YouTubeApi={isIframeStarted:!1,isIframeLoaded:!1,loadIframeApi:function(){if(!this.isIframeStarted){var s=document.createElement("script");s.src="//www.youtube.com/player_api";var e=document.getElementsByTagName("script")[0];e.parentNode.insertBefore(s,e),this.isIframeStarted=!0}},iframeQueue:[],enqueueIframe:function(s){this.isLoaded?this.createIframe(s):(this.loadIframeApi(),this.iframeQueue.push(s))},createIframe:function(s){var e=s.pluginMediaElement,t=new YT.Player(s.containerId,{height:s.height,width:s.width,videoId:s.videoId,playerVars:{controls:0,wmode:"transparent"},events:{onReady:function(){t.setVideoSize=function(o,a){t.setSize(o,a)},s.pluginMediaElement.pluginApi=t,s.pluginMediaElement.pluginElement=document.getElementById(s.containerId),mejs.MediaPluginBridge.initPlugin(s.pluginId),setInterval(function(){mejs.YouTubeApi.createEvent(t,e,"timeupdate")},250)},onStateChange:function(o){mejs.YouTubeApi.handleStateChange(o.data,t,e)}}})},createEvent:function(s,e,t){var o={type:t,target:e};if(s&&s.getDuration){e.currentTime=o.currentTime=s.getCurrentTime(),e.duration=o.duration=s.getDuration(),o.paused=e.paused,o.ended=e.ended,o.muted=s.isMuted(),o.volume=s.getVolume()/100,o.bytesTotal=s.getVideoBytesTotal(),o.bufferedBytes=s.getVideoBytesLoaded();var a=o.bufferedBytes/o.bytesTotal*o.duration;o.target.buffered=o.buffered={start:function(n){return 0},end:function(n){return a},length:1}}e.dispatchEvent(o)},iFrameReady:function(){for(this.isLoaded=!0,this.isIframeLoaded=!0;this.iframeQueue.length>0;){var s=this.iframeQueue.pop();this.createIframe(s)}},flashPlayers:{},createFlash:function(s){this.flashPlayers[s.pluginId]=s;var e,t="//www.youtube.com/apiplayer?enablejsapi=1&amp;playerapiid="+s.pluginId+"&amp;version=3&amp;autoplay=0&amp;controls=0&amp;modestbranding=1&loop=0";mejs.MediaFeatures.isIE?(e=document.createElement("div"),s.container.appendChild(e),e.outerHTML='<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="//download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab" id="'+s.pluginId+'" width="'+s.width+'" height="'+s.height+'" class="mejs-shim"><param name="movie" value="'+t+'" /><param name="wmode" value="transparent" /><param name="allowScriptAccess" value="'+options.flashScriptAccess+'" /><param name="allowFullScreen" value="true" /></object>'):s.container.innerHTML='<object type="application/x-shockwave-flash" id="'+s.pluginId+'" data="'+t+'" width="'+s.width+'" height="'+s.height+'" style="visibility: visible; " class="mejs-shim"><param name="allowScriptAccess" value="'+options.flashScriptAccess+'"><param name="wmode" value="transparent"></object>'},flashReady:function(s){var e=this.flashPlayers[s],t=document.getElementById(s),o=e.pluginMediaElement;o.pluginApi=o.pluginElement=t,mejs.MediaPluginBridge.initPlugin(s),t.cueVideoById(e.videoId);var a=e.containerId+"_callback";window[a]=function(n){mejs.YouTubeApi.handleStateChange(n,t,o)},t.addEventListener("onStateChange",a),setInterval(function(){mejs.YouTubeApi.createEvent(t,o,"timeupdate")},250),mejs.YouTubeApi.createEvent(t,o,"canplay")},handleStateChange:function(s,e,t){switch(s){case-1:t.paused=!0,t.ended=!0,mejs.YouTubeApi.createEvent(e,t,"loadedmetadata");break;case 0:t.paused=!1,t.ended=!0,mejs.YouTubeApi.createEvent(e,t,"ended");break;case 1:t.paused=!1,t.ended=!1,mejs.YouTubeApi.createEvent(e,t,"play"),mejs.YouTubeApi.createEvent(e,t,"playing");break;case 2:t.paused=!0,t.ended=!1,mejs.YouTubeApi.createEvent(e,t,"pause");break;case 3:mejs.YouTubeApi.createEvent(e,t,"progress");break;case 5:}}},window.onYouTubePlayerAPIReady=function(){mejs.YouTubeApi.iFrameReady()},window.onYouTubePlayerReady=function(s){mejs.YouTubeApi.flashReady(s)},window.mejs=mejs,window.MediaElement=mejs.MediaElement,function(s,e,t){"use strict";var o={locale:{language:e.i18n&&e.i18n.locale.language||"",strings:e.i18n&&e.i18n.locale.strings||{}},ietf_lang_regex:/^(x\-)?[a-z]{2,}(\-\w{2,})?(\-\w{2,})?$/,methods:{}};o.getLanguage=function(){var a=o.locale.language||window.navigator.userLanguage||window.navigator.language;return o.ietf_lang_regex.exec(a)?a:null},typeof mejsL10n!="undefined"&&(o.locale.language=mejsL10n.language),o.methods.checkPlain=function(a){var n,r,l={"&":"&amp;",'"':"&quot;","<":"&lt;",">":"&gt;"};a=String(a);for(n in l)l.hasOwnProperty(n)&&(r=new RegExp(n,"g"),a=a.replace(r,l[n]));return a},o.methods.t=function(a,n){return o.locale.strings&&o.locale.strings[n.context]&&o.locale.strings[n.context][a]&&(a=o.locale.strings[n.context][a]),o.methods.checkPlain(a)},o.t=function(a,n){if(typeof a=="string"&&a.length>0){var r=o.getLanguage();return n=n||{context:r},o.methods.t(a,n)}throw{name:"InvalidArgumentException",message:"First argument is either not a string or empty."}},e.i18n=o}(document,mejs),function(s,e){"use strict";typeof mejsL10n!="undefined"&&(s[mejsL10n.language]=mejsL10n.strings)}(mejs.i18n.locale.strings),typeof jQuery!="undefined"?mejs.$=jQuery:typeof Zepto!="undefined"?(mejs.$=Zepto,Zepto.fn.outerWidth=function(s){var e=$(this).width();return s&&(e+=parseInt($(this).css("margin-right"),10),e+=parseInt($(this).css("margin-left"),10)),e}):typeof ender!="undefined"&&(mejs.$=ender),function(s){mejs.MepDefaults={poster:"",showPosterWhenEnded:!1,defaultVideoWidth:480,defaultVideoHeight:270,videoWidth:-1,videoHeight:-1,defaultAudioWidth:400,defaultAudioHeight:30,defaultSeekBackwardInterval:function(e){return .05*e.duration},defaultSeekForwardInterval:function(e){return .05*e.duration},setDimensions:!0,audioWidth:-1,audioHeight:-1,startVolume:.8,loop:!1,autoRewind:!0,enableAutosize:!0,timeFormat:"",alwaysShowHours:!1,showTimecodeFrameCount:!1,framesPerSecond:25,autosizeProgress:!0,alwaysShowControls:!1,hideVideoControlsOnLoad:!1,clickToPlayPause:!0,iPadUseNativeControls:!1,iPhoneUseNativeControls:!1,AndroidUseNativeControls:!1,features:["playpause","current","progress","duration","tracks","volume","fullscreen"],isVideo:!0,enableKeyboard:!0,pauseOtherPlayers:!0,keyActions:[{keys:[32,179],action:function(e,t){t.paused||t.ended?t.play():t.pause()}},{keys:[38],action:function(e,t){e.container.find(".mejs-volume-slider").css("display","block"),e.isVideo&&(e.showControls(),e.startControlsTimer());var o=Math.min(t.volume+.1,1);t.setVolume(o)}},{keys:[40],action:function(e,t){e.container.find(".mejs-volume-slider").css("display","block"),e.isVideo&&(e.showControls(),e.startControlsTimer());var o=Math.max(t.volume-.1,0);t.setVolume(o)}},{keys:[37,227],action:function(e,t){if(!isNaN(t.duration)&&t.duration>0){e.isVideo&&(e.showControls(),e.startControlsTimer());var o=Math.max(t.currentTime-e.options.defaultSeekBackwardInterval(t),0);t.setCurrentTime(o)}}},{keys:[39,228],action:function(e,t){if(!isNaN(t.duration)&&t.duration>0){e.isVideo&&(e.showControls(),e.startControlsTimer());var o=Math.min(t.currentTime+e.options.defaultSeekForwardInterval(t),t.duration);t.setCurrentTime(o)}}},{keys:[70],action:function(e,t){typeof e.enterFullScreen!="undefined"&&(e.isFullScreen?e.exitFullScreen():e.enterFullScreen())}},{keys:[77],action:function(e,t){e.container.find(".mejs-volume-slider").css("display","block"),e.isVideo&&(e.showControls(),e.startControlsTimer()),e.media.muted?e.setMuted(!1):e.setMuted(!0)}}]},mejs.mepIndex=0,mejs.players={},mejs.MediaElementPlayer=function(e,t){if(!(this instanceof mejs.MediaElementPlayer))return new mejs.MediaElementPlayer(e,t);var o=this;return o.$media=o.$node=s(e),o.node=o.media=o.$media[0],o.node?typeof o.node.player!="undefined"?o.node.player:(typeof t=="undefined"&&(t=o.$node.data("mejsoptions")),o.options=s.extend({},mejs.MepDefaults,t),o.options.timeFormat||(o.options.timeFormat="mm:ss",o.options.alwaysShowHours&&(o.options.timeFormat="hh:mm:ss"),o.options.showTimecodeFrameCount&&(o.options.timeFormat+=":ff")),mejs.Utility.calculateTimeFormat(0,o.options,o.options.framesPerSecond||25),o.id="mep_"+mejs.mepIndex++,mejs.players[o.id]=o,o.init(),o):void 0},mejs.MediaElementPlayer.prototype={hasFocus:!1,controlsAreVisible:!0,init:function(){var e=this,t=mejs.MediaFeatures,o=s.extend(!0,{},e.options,{success:function(u,d){e.meReady(u,d)},error:function(u){e.handleError(u)}}),a=e.media.tagName.toLowerCase();if(e.isDynamic=a!=="audio"&&a!=="video",e.isDynamic?e.isVideo=e.options.isVideo:e.isVideo=a!=="audio"&&e.options.isVideo,t.isiPad&&e.options.iPadUseNativeControls||t.isiPhone&&e.options.iPhoneUseNativeControls)e.$media.attr("controls","controls"),t.isiPad&&e.media.getAttribute("autoplay")!==null&&e.play();else if(!(t.isAndroid&&e.options.AndroidUseNativeControls)){e.$media.removeAttr("controls");var n=e.isVideo?mejs.i18n.t("Video Player"):mejs.i18n.t("Audio Player");s('<span class="mejs-offscreen">'+n+"</span>").insertBefore(e.$media),e.container=s('<div id="'+e.id+'" class="mejs-container '+(mejs.MediaFeatures.svgAsImg?"svg":"no-svg")+'" tabindex="0" role="application" aria-label="'+n+'"><div class="mejs-inner"><div class="mejs-mediaelement"></div><div class="mejs-layers"></div><div class="mejs-controls"></div><div class="mejs-clear"></div></div></div>').addClass(e.$media[0].className).insertBefore(e.$media).focus(function(u){if(!e.controlsAreVisible){e.showControls(!0);var d=e.container.find(".mejs-playpause-button > button");d.focus()}}),e.container.addClass((t.isAndroid?"mejs-android ":"")+(t.isiOS?"mejs-ios ":"")+(t.isiPad?"mejs-ipad ":"")+(t.isiPhone?"mejs-iphone ":"")+(e.isVideo?"mejs-video ":"mejs-audio ")),e.container.find(".mejs-mediaelement").append(e.$media),e.node.player=e,e.controls=e.container.find(".mejs-controls"),e.layers=e.container.find(".mejs-layers");var r=e.isVideo?"video":"audio",l=r.substring(0,1).toUpperCase()+r.substring(1);e.options[r+"Width"]>0||e.options[r+"Width"].toString().indexOf("%")>-1?e.width=e.options[r+"Width"]:e.media.style.width!==""&&e.media.style.width!==null?e.width=e.media.style.width:e.media.getAttribute("width")!==null?e.width=e.$media.attr("width"):e.width=e.options["default"+l+"Width"],e.options[r+"Height"]>0||e.options[r+"Height"].toString().indexOf("%")>-1?e.height=e.options[r+"Height"]:e.media.style.height!==""&&e.media.style.height!==null?e.height=e.media.style.height:e.$media[0].getAttribute("height")!==null?e.height=e.$media.attr("height"):e.height=e.options["default"+l+"Height"],e.setPlayerSize(e.width,e.height),o.pluginWidth=e.width,o.pluginHeight=e.height}mejs.MediaElement(e.$media[0],o),typeof e.container!="undefined"&&e.controlsAreVisible&&e.container.trigger("controlsshown")},showControls:function(e){var t=this;e=typeof e=="undefined"||e,t.controlsAreVisible||(e?(t.controls.removeClass("mejs-offscreen").stop(!0,!0).fadeIn(200,function(){t.controlsAreVisible=!0,t.container.trigger("controlsshown")}),t.container.find(".mejs-control").removeClass("mejs-offscreen").stop(!0,!0).fadeIn(200,function(){t.controlsAreVisible=!0})):(t.controls.removeClass("mejs-offscreen").css("display","block"),t.container.find(".mejs-control").removeClass("mejs-offscreen").css("display","block"),t.controlsAreVisible=!0,t.container.trigger("controlsshown")),t.setControlsSize())},hideControls:function(e){var t=this;e=typeof e=="undefined"||e,!t.controlsAreVisible||t.options.alwaysShowControls||t.keyboardAction||(e?(t.controls.stop(!0,!0).fadeOut(200,function(){s(this).addClass("mejs-offscreen").css("display","block"),t.controlsAreVisible=!1,t.container.trigger("controlshidden")}),t.container.find(".mejs-control").stop(!0,!0).fadeOut(200,function(){s(this).addClass("mejs-offscreen").css("display","block")})):(t.controls.addClass("mejs-offscreen").css("display","block"),t.container.find(".mejs-control").addClass("mejs-offscreen").css("display","block"),t.controlsAreVisible=!1,t.container.trigger("controlshidden")))},controlsTimer:null,startControlsTimer:function(e){var t=this;e=typeof e!="undefined"?e:1500,t.killControlsTimer("start"),t.controlsTimer=setTimeout(function(){t.hideControls(),t.killControlsTimer("hide")},e)},killControlsTimer:function(e){var t=this;t.controlsTimer!==null&&(clearTimeout(t.controlsTimer),delete t.controlsTimer,t.controlsTimer=null)},controlsEnabled:!0,disableControls:function(){var e=this;e.killControlsTimer(),e.hideControls(!1),this.controlsEnabled=!1},enableControls:function(){var e=this;e.showControls(!1),e.controlsEnabled=!0},meReady:function(e,t){var o,a,n=this,r=mejs.MediaFeatures,l=t.getAttribute("autoplay"),u=!(typeof l=="undefined"||l===null||l==="false");if(!n.created){if(n.created=!0,n.media=e,n.domNode=t,!(r.isAndroid&&n.options.AndroidUseNativeControls||r.isiPad&&n.options.iPadUseNativeControls||r.isiPhone&&n.options.iPhoneUseNativeControls)){n.buildposter(n,n.controls,n.layers,n.media),n.buildkeyboard(n,n.controls,n.layers,n.media),n.buildoverlays(n,n.controls,n.layers,n.media),n.findTracks();for(o in n.options.features)if(a=n.options.features[o],n["build"+a])try{n["build"+a](n,n.controls,n.layers,n.media)}catch(c){}n.container.trigger("controlsready"),n.setPlayerSize(n.width,n.height),n.setControlsSize(),n.isVideo&&(mejs.MediaFeatures.hasTouch?n.$media.bind("touchstart",function(){n.controlsAreVisible?n.hideControls(!1):n.controlsEnabled&&n.showControls(!1)}):(n.clickToPlayPauseCallback=function(){n.options.clickToPlayPause&&(n.media.paused?n.play():n.pause())},n.media.addEventListener("click",n.clickToPlayPauseCallback,!1),n.container.bind("mouseenter",function(){n.controlsEnabled&&(n.options.alwaysShowControls||(n.killControlsTimer("enter"),n.showControls(),n.startControlsTimer(2500)))}).bind("mousemove",function(){n.controlsEnabled&&(n.controlsAreVisible||n.showControls(),n.options.alwaysShowControls||n.startControlsTimer(2500))}).bind("mouseleave",function(){n.controlsEnabled&&(n.media.paused||n.options.alwaysShowControls||n.startControlsTimer(1e3))})),n.options.hideVideoControlsOnLoad&&n.hideControls(!1),u&&!n.options.alwaysShowControls&&n.hideControls(),n.options.enableAutosize&&n.media.addEventListener("loadedmetadata",function(c){n.options.videoHeight<=0&&n.domNode.getAttribute("height")===null&&!isNaN(c.target.videoHeight)&&(n.setPlayerSize(c.target.videoWidth,c.target.videoHeight),n.setControlsSize(),n.media.setVideoSize(c.target.videoWidth,c.target.videoHeight))},!1)),e.addEventListener("play",function(){var c;for(c in mejs.players){var m=mejs.players[c];m.id==n.id||!n.options.pauseOtherPlayers||m.paused||m.ended||m.pause(),m.hasFocus=!1}n.hasFocus=!0},!1),n.media.addEventListener("ended",function(c){if(n.options.autoRewind)try{n.media.setCurrentTime(0),window.setTimeout(function(){s(n.container).find(".mejs-overlay-loading").parent().hide()},20)}catch(m){}n.media.pause(),n.setProgressRail&&n.setProgressRail(),n.setCurrentRail&&n.setCurrentRail(),n.options.loop?n.play():!n.options.alwaysShowControls&&n.controlsEnabled&&n.showControls()},!1),n.media.addEventListener("loadedmetadata",function(c){n.updateDuration&&n.updateDuration(),n.updateCurrent&&n.updateCurrent(),n.isFullScreen||(n.setPlayerSize(n.width,n.height),n.setControlsSize())},!1);var d=null;n.media.addEventListener("timeupdate",function(){d!==this.duration&&(d=this.duration,mejs.Utility.calculateTimeFormat(d,n.options,n.options.framesPerSecond||25))},!1),n.container.focusout(function(c){if(c.relatedTarget){var m=s(c.relatedTarget);n.keyboardAction&&m.parents(".mejs-container").length===0&&(n.keyboardAction=!1,n.hideControls(!0))}}),setTimeout(function(){n.setPlayerSize(n.width,n.height),n.setControlsSize()},50),n.globalBind("resize",function(){n.isFullScreen||mejs.MediaFeatures.hasTrueNativeFullScreen&&document.webkitIsFullScreen||n.setPlayerSize(n.width,n.height),n.setControlsSize()}),n.media.pluginType=="youtube"&&(r.isiOS||r.isAndroid)&&n.container.find(".mejs-overlay-play").hide()}u&&e.pluginType=="native"&&n.play(),n.options.success&&(typeof n.options.success=="string"?window[n.options.success](n.media,n.domNode,n):n.options.success(n.media,n.domNode,n))}},handleError:function(e){var t=this;t.controls&&t.controls.hide(),t.options.error&&t.options.error(e)},setPlayerSize:function(e,t){var o=this;if(!o.options.setDimensions)return!1;if(typeof e!="undefined"&&(o.width=e),typeof t!="undefined"&&(o.height=t),o.height.toString().indexOf("%")>0||o.$node.css("max-width")!=="none"&&o.$node.css("max-width")!=="t.width"||o.$node[0].currentStyle&&o.$node[0].currentStyle.maxWidth==="100%"){var a=function(){return o.isVideo?o.media.videoWidth&&o.media.videoWidth>0?o.media.videoWidth:o.media.getAttribute("width")!==null?o.media.getAttribute("width"):o.options.defaultVideoWidth:o.options.defaultAudioWidth}(),n=function(){return o.isVideo?o.media.videoHeight&&o.media.videoHeight>0?o.media.videoHeight:o.media.getAttribute("height")!==null?o.media.getAttribute("height"):o.options.defaultVideoHeight:o.options.defaultAudioHeight}(),r=o.container.parent().closest(":visible").width(),l=o.container.parent().closest(":visible").height(),u=o.isVideo||!o.options.autosizeProgress?parseInt(r*n/a,10):n;isNaN(u)&&(u=l),o.container.parent().length>0&&o.container.parent()[0].tagName.toLowerCase()==="body"&&(r=s(window).width(),u=s(window).height()),u&&r&&(o.container.width(r).height(u),o.$media.add(o.container.find(".mejs-shim")).width("100%").height("100%"),o.isVideo&&o.media.setVideoSize&&o.media.setVideoSize(r,u),o.layers.children(".mejs-layer").width("100%").height("100%"))}else o.container.width(o.width).height(o.height),o.layers.children(".mejs-layer").width(o.width).height(o.height)},setControlsSize:function(){var e=this,t=0,o=0,a=e.controls.find(".mejs-time-rail"),n=e.controls.find(".mejs-time-total"),r=a.siblings(),l=r.last(),u=null;if(e.container.is(":visible")&&a.length&&a.is(":visible")){e.options&&!e.options.autosizeProgress&&(o=parseInt(a.css("width"),10)),o!==0&&o||(r.each(function(){var d=s(this);d.css("position")!="absolute"&&d.is(":visible")&&(t+=s(this).outerWidth(!0))}),o=e.controls.width()-t-(a.outerWidth(!0)-a.width()));do a.width(o),n.width(o-(n.outerWidth(!0)-n.width())),l.css("position")!="absolute"&&(u=l.length?l.position():null,o--);while(u!==null&&u.top>0&&o>0);e.container.trigger("controlsresize")}},buildposter:function(e,t,o,a){var n=this,r=s('<div class="mejs-poster mejs-layer"></div>').appendTo(o),l=e.$media.attr("poster");e.options.poster!==""&&(l=e.options.poster),l?n.setPoster(l):r.hide(),a.addEventListener("play",function(){r.hide()},!1),e.options.showPosterWhenEnded&&e.options.autoRewind&&a.addEventListener("ended",function(){r.show()},!1)},setPoster:function(e){var t=this,o=t.container.find(".mejs-poster"),a=o.find("img");a.length===0&&(a=s('<img width="100%" height="100%" alt="" />').appendTo(o)),a.attr("src",e),o.css({"background-image":"url("+e+")"})},buildoverlays:function(e,t,o,a){var n=this;if(e.isVideo){var r=s('<div class="mejs-overlay mejs-layer"><div class="mejs-overlay-loading"><span></span></div></div>').hide().appendTo(o),l=s('<div class="mejs-overlay mejs-layer"><div class="mejs-overlay-error"></div></div>').hide().appendTo(o),u=s('<div class="mejs-overlay mejs-layer mejs-overlay-play"><div class="mejs-overlay-button"></div></div>').appendTo(o).bind("click",function(){n.options.clickToPlayPause&&a.paused&&a.play()});a.addEventListener("play",function(){u.hide(),r.hide(),t.find(".mejs-time-buffering").hide(),l.hide()},!1),a.addEventListener("playing",function(){u.hide(),r.hide(),t.find(".mejs-time-buffering").hide(),l.hide()},!1),a.addEventListener("seeking",function(){r.show(),t.find(".mejs-time-buffering").show()},!1),a.addEventListener("seeked",function(){r.hide(),t.find(".mejs-time-buffering").hide()},!1),a.addEventListener("pause",function(){mejs.MediaFeatures.isiPhone||u.show()},!1),a.addEventListener("waiting",function(){r.show(),t.find(".mejs-time-buffering").show()},!1),a.addEventListener("loadeddata",function(){r.show(),t.find(".mejs-time-buffering").show(),mejs.MediaFeatures.isAndroid&&(a.canplayTimeout=window.setTimeout(function(){if(document.createEvent){var d=document.createEvent("HTMLEvents");return d.initEvent("canplay",!0,!0),a.dispatchEvent(d)}},300))},!1),a.addEventListener("canplay",function(){r.hide(),t.find(".mejs-time-buffering").hide(),clearTimeout(a.canplayTimeout)},!1),a.addEventListener("error",function(d){n.handleError(d),r.hide(),u.hide(),l.show(),l.find(".mejs-overlay-error").html("Error loading this resource")},!1),a.addEventListener("keydown",function(d){n.onkeydown(e,a,d)},!1)}},buildkeyboard:function(e,t,o,a){var n=this;n.container.keydown(function(){n.keyboardAction=!0}),n.globalBind("keydown",function(r){return e.hasFocus=s(r.target).closest(".mejs-container").length!==0,n.onkeydown(e,a,r)}),n.globalBind("click",function(r){e.hasFocus=s(r.target).closest(".mejs-container").length!==0})},onkeydown:function(e,t,o){if(e.hasFocus&&e.options.enableKeyboard){for(var a=0,n=e.options.keyActions.length;n>a;a++)for(var r=e.options.keyActions[a],l=0,u=r.keys.length;u>l;l++)if(o.keyCode==r.keys[l])return typeof o.preventDefault=="function"&&o.preventDefault(),r.action(e,t,o.keyCode),!1}return!0},findTracks:function(){var e=this,t=e.$media.find("track");e.tracks=[],t.each(function(o,a){a=s(a),e.tracks.push({srclang:a.attr("srclang")?a.attr("srclang").toLowerCase():"",src:a.attr("src"),kind:a.attr("kind"),label:a.attr("label")||"",entries:[],isLoaded:!1})})},changeSkin:function(e){this.container[0].className="mejs-container "+e,this.setPlayerSize(this.width,this.height),this.setControlsSize()},play:function(){this.load(),this.media.play()},pause:function(){try{this.media.pause()}catch(e){}},load:function(){this.isLoaded||this.media.load(),this.isLoaded=!0},setMuted:function(e){this.media.setMuted(e)},setCurrentTime:function(e){this.media.setCurrentTime(e)},getCurrentTime:function(){return this.media.currentTime},setVolume:function(e){this.media.setVolume(e)},getVolume:function(){return this.media.volume},setSrc:function(e){this.media.setSrc(e)},remove:function(){var e,t,o=this;o.container.prev(".mejs-offscreen").remove();for(e in o.options.features)if(t=o.options.features[e],o["clean"+t])try{o["clean"+t](o)}catch(a){}o.isDynamic?o.$node.insertBefore(o.container):(o.$media.prop("controls",!0),o.$node.clone().insertBefore(o.container).show(),o.$node.remove()),o.media.pluginType!=="native"&&o.media.remove(),delete mejs.players[o.id],typeof o.container=="object"&&o.container.remove(),o.globalUnbind(),delete o.node.player},rebuildtracks:function(){var e=this;e.findTracks(),e.buildtracks(e,e.controls,e.layers,e.media)},resetSize:function(){var e=this;setTimeout(function(){e.setPlayerSize(e.width,e.height),e.setControlsSize()},50)}},function(){function e(o,a){var n={d:[],w:[]};return s.each((o||"").split(" "),function(r,l){var u=l+"."+a;u.indexOf(".")===0?(n.d.push(u),n.w.push(u)):n[t.test(l)?"w":"d"].push(u)}),n.d=n.d.join(" "),n.w=n.w.join(" "),n}var t=/^((after|before)print|(before)?unload|hashchange|message|o(ff|n)line|page(hide|show)|popstate|resize|storage)\b/;mejs.MediaElementPlayer.prototype.globalBind=function(o,a,n){var r=this,l=r.node?r.node.ownerDocument:document;o=e(o,r.id),o.d&&s(l).bind(o.d,a,n),o.w&&s(window).bind(o.w,a,n)},mejs.MediaElementPlayer.prototype.globalUnbind=function(o,a){var n=this,r=n.node?n.node.ownerDocument:document;o=e(o,n.id),o.d&&s(r).unbind(o.d,a),o.w&&s(window).unbind(o.w,a)}}(),typeof s!="undefined"&&(s.fn.mediaelementplayer=function(e){return e===!1?this.each(function(){var t=s(this).data("mediaelementplayer");t&&t.remove(),s(this).removeData("mediaelementplayer")}):this.each(function(){s(this).data("mediaelementplayer",new mejs.MediaElementPlayer(this,e))}),this},s(document).ready(function(){s(".mejs-player").mediaelementplayer()})),window.MediaElementPlayer=mejs.MediaElementPlayer}(mejs.$),function(s){s.extend(mejs.MepDefaults,{playText:mejs.i18n.t("Play"),pauseText:mejs.i18n.t("Pause")}),s.extend(MediaElementPlayer.prototype,{buildplaypause:function(e,t,o,a){function n(c){c==="play"?(u.removeClass("mejs-play").addClass("mejs-pause"),d.attr({title:l.pauseText,"aria-label":l.pauseText})):(u.removeClass("mejs-pause").addClass("mejs-play"),d.attr({title:l.playText,"aria-label":l.playText}))}var r=this,l=r.options,u=s('<div class="mejs-button mejs-playpause-button mejs-play" ><button type="button" aria-controls="'+r.id+'" title="'+l.playText+'" aria-label="'+l.playText+'"></button></div>').appendTo(t).click(function(c){return c.preventDefault(),a.paused?a.play():a.pause(),!1}),d=u.find("button");n("pse"),a.addEventListener("play",function(){n("play")},!1),a.addEventListener("playing",function(){n("play")},!1),a.addEventListener("pause",function(){n("pse")},!1),a.addEventListener("paused",function(){n("pse")},!1)}})}(mejs.$),function(s){s.extend(mejs.MepDefaults,{stopText:"Stop"}),s.extend(MediaElementPlayer.prototype,{buildstop:function(e,t,o,a){var n=this;s('<div class="mejs-button mejs-stop-button mejs-stop"><button type="button" aria-controls="'+n.id+'" title="'+n.options.stopText+'" aria-label="'+n.options.stopText+'"></button></div>').appendTo(t).click(function(){a.paused||a.pause(),a.currentTime>0&&(a.setCurrentTime(0),a.pause(),t.find(".mejs-time-current").width("0px"),t.find(".mejs-time-handle").css("left","0px"),t.find(".mejs-time-float-current").html(mejs.Utility.secondsToTimeCode(0,e.options)),t.find(".mejs-currenttime").html(mejs.Utility.secondsToTimeCode(0,e.options)),o.find(".mejs-poster").show())})}})}(mejs.$),function(s){s.extend(mejs.MepDefaults,{progessHelpText:mejs.i18n.t("Use Left/Right Arrow keys to advance one second, Up/Down arrows to advance ten seconds.")}),s.extend(MediaElementPlayer.prototype,{buildprogress:function(e,t,o,a){s('<div class="mejs-time-rail"><span  class="mejs-time-total mejs-time-slider"><span class="mejs-time-buffering"></span><span class="mejs-time-loaded"></span><span class="mejs-time-current"></span><span class="mejs-time-handle"></span><span class="mejs-time-float"><span class="mejs-time-float-current">00:00</span><span class="mejs-time-float-corner"></span></span></span></div>').appendTo(t),t.find(".mejs-time-buffering").hide();var n=this,r=t.find(".mejs-time-total"),l=t.find(".mejs-time-loaded"),u=t.find(".mejs-time-current"),d=t.find(".mejs-time-handle"),c=t.find(".mejs-time-float"),m=t.find(".mejs-time-float-current"),p=t.find(".mejs-time-slider"),y=function(g){var b,S=r.offset(),j=r.width(),M=0,E=0,x=0;b=g.originalEvent&&g.originalEvent.changedTouches?g.originalEvent.changedTouches[0].pageX:g.changedTouches?g.changedTouches[0].pageX:g.pageX,a.duration&&(b<S.left?b=S.left:b>j+S.left&&(b=j+S.left),x=b-S.left,M=x/j,E=.02>=M?0:M*a.duration,f&&E!==a.currentTime&&a.setCurrentTime(E),mejs.MediaFeatures.hasTouch||(c.css("left",x),m.html(mejs.Utility.secondsToTimeCode(E,e.options)),c.show()))},f=!1,k=!1,w=0,h=!1,T=e.options.autoRewind,v=function(g){var b=a.currentTime,S=mejs.i18n.t("Time Slider"),j=mejs.Utility.secondsToTimeCode(b,e.options),M=a.duration;p.attr({"aria-label":S,"aria-valuemin":0,"aria-valuemax":M,"aria-valuenow":b,"aria-valuetext":j,role:"slider",tabindex:0})},C=function(){var g=new Date;g-w>=1e3&&a.play()};p.bind("focus",function(g){e.options.autoRewind=!1}),p.bind("blur",function(g){e.options.autoRewind=T}),p.bind("keydown",function(g){new Date-w>=1e3&&(h=a.paused);var b=g.keyCode,S=a.duration,j=a.currentTime;switch(b){case 37:j-=1;break;case 39:j+=1;break;case 38:j+=Math.floor(.1*S);break;case 40:j-=Math.floor(.1*S);break;case 36:j=0;break;case 35:j=S;break;case 10:return void(a.paused?a.play():a.pause());case 13:return void(a.paused?a.play():a.pause());default:return}return j=0>j?0:j>=S?S:Math.floor(j),w=new Date,h||a.pause(),j<a.duration&&!h&&setTimeout(C,1100),a.setCurrentTime(j),g.preventDefault(),g.stopPropagation(),!1}),r.bind("mousedown touchstart",function(g){(g.which===1||g.which===0)&&(f=!0,y(g),n.globalBind("mousemove.dur touchmove.dur",function(b){y(b)}),n.globalBind("mouseup.dur touchend.dur",function(b){f=!1,c.hide(),n.globalUnbind(".dur")}))}).bind("mouseenter",function(g){k=!0,n.globalBind("mousemove.dur",function(b){y(b)}),mejs.MediaFeatures.hasTouch||c.show()}).bind("mouseleave",function(g){k=!1,f||(n.globalUnbind(".dur"),c.hide())}),a.addEventListener("progress",function(g){e.setProgressRail(g),e.setCurrentRail(g)},!1),a.addEventListener("timeupdate",function(g){e.setProgressRail(g),e.setCurrentRail(g),v(g)},!1),n.container.on("controlsresize",function(){e.setProgressRail(),e.setCurrentRail()}),n.loaded=l,n.total=r,n.current=u,n.handle=d},setProgressRail:function(e){var t=this,o=e!==void 0?e.target:t.media,a=null;o&&o.buffered&&o.buffered.length>0&&o.buffered.end&&o.duration?a=o.buffered.end(o.buffered.length-1)/o.duration:o&&o.bytesTotal!==void 0&&o.bytesTotal>0&&o.bufferedBytes!==void 0?a=o.bufferedBytes/o.bytesTotal:e&&e.lengthComputable&&e.total!==0&&(a=e.loaded/e.total),a!==null&&(a=Math.min(1,Math.max(0,a)),t.loaded&&t.total&&t.loaded.width(t.total.width()*a))},setCurrentRail:function(){var e=this;if(e.media.currentTime!==void 0&&e.media.duration&&e.total&&e.handle){var t=Math.round(e.total.width()*e.media.currentTime/e.media.duration),o=t-Math.round(e.handle.outerWidth(!0)/2);e.current.width(t),e.handle.css("left",o)}}})}(mejs.$),function(s){s.extend(mejs.MepDefaults,{duration:-1,timeAndDurationSeparator:"<span> | </span>"}),s.extend(MediaElementPlayer.prototype,{buildcurrent:function(e,t,o,a){var n=this;s('<div class="mejs-time" role="timer" aria-live="off"><span class="mejs-currenttime">'+mejs.Utility.secondsToTimeCode(0,e.options)+"</span></div>").appendTo(t),n.currenttime=n.controls.find(".mejs-currenttime"),a.addEventListener("timeupdate",function(){e.updateCurrent()},!1)},buildduration:function(e,t,o,a){var n=this;t.children().last().find(".mejs-currenttime").length>0?s(n.options.timeAndDurationSeparator+'<span class="mejs-duration">'+mejs.Utility.secondsToTimeCode(n.options.duration,n.options)+"</span>").appendTo(t.find(".mejs-time")):(t.find(".mejs-currenttime").parent().addClass("mejs-currenttime-container"),s('<div class="mejs-time mejs-duration-container"><span class="mejs-duration">'+mejs.Utility.secondsToTimeCode(n.options.duration,n.options)+"</span></div>").appendTo(t)),n.durationD=n.controls.find(".mejs-duration"),a.addEventListener("timeupdate",function(){e.updateDuration()},!1)},updateCurrent:function(){var e=this,t=e.media.currentTime;isNaN(t)&&(t=0),e.currenttime&&e.currenttime.html(mejs.Utility.secondsToTimeCode(t,e.options))},updateDuration:function(){var e=this,t=e.media.duration;e.options.duration>0&&(t=e.options.duration),isNaN(t)&&(t=0),e.container.toggleClass("mejs-long-video",t>3600),e.durationD&&t>0&&e.durationD.html(mejs.Utility.secondsToTimeCode(t,e.options))}})}(mejs.$),function(s){s.extend(mejs.MepDefaults,{muteText:mejs.i18n.t("Mute Toggle"),allyVolumeControlText:mejs.i18n.t("Use Up/Down Arrow keys to increase or decrease volume."),hideVolumeOnTouchDevices:!0,audioVolume:"horizontal",videoVolume:"vertical"}),s.extend(MediaElementPlayer.prototype,{buildvolume:function(e,t,o,a){if(!mejs.MediaFeatures.isAndroid&&!mejs.MediaFeatures.isiOS||!this.options.hideVolumeOnTouchDevices){var n=this,r=n.isVideo?n.options.videoVolume:n.options.audioVolume,l=r=="horizontal"?s('<div class="mejs-button mejs-volume-button mejs-mute"><button type="button" aria-controls="'+n.id+'" title="'+n.options.muteText+'" aria-label="'+n.options.muteText+'"></button></div><a href="javascript:void(0);" class="mejs-horizontal-volume-slider"><span class="mejs-offscreen">'+n.options.allyVolumeControlText+'</span><div class="mejs-horizontal-volume-total"></div><div class="mejs-horizontal-volume-current"></div><div class="mejs-horizontal-volume-handle"></div></a>').appendTo(t):s('<div class="mejs-button mejs-volume-button mejs-mute"><button type="button" aria-controls="'+n.id+'" title="'+n.options.muteText+'" aria-label="'+n.options.muteText+'"></button><a href="javascript:void(0);" class="mejs-volume-slider"><span class="mejs-offscreen">'+n.options.allyVolumeControlText+'</span><div class="mejs-volume-total"></div><div class="mejs-volume-current"></div><div class="mejs-volume-handle"></div></a></div>').appendTo(t),u=n.container.find(".mejs-volume-slider, .mejs-horizontal-volume-slider"),d=n.container.find(".mejs-volume-total, .mejs-horizontal-volume-total"),c=n.container.find(".mejs-volume-current, .mejs-horizontal-volume-current"),m=n.container.find(".mejs-volume-handle, .mejs-horizontal-volume-handle"),p=function(h,T){if(!u.is(":visible")&&typeof T=="undefined")return u.show(),p(h,!0),void u.hide();h=Math.max(0,h),h=Math.min(h,1),h===0?(l.removeClass("mejs-mute").addClass("mejs-unmute"),l.children("button").attr("title",mejs.i18n.t("Unmute")).attr("aria-label",mejs.i18n.t("Unmute"))):(l.removeClass("mejs-unmute").addClass("mejs-mute"),l.children("button").attr("title",mejs.i18n.t("Mute")).attr("aria-label",mejs.i18n.t("Mute")));var v=d.position();if(r=="vertical"){var C=d.height(),g=C-C*h;m.css("top",Math.round(v.top+g-m.height()/2)),c.height(C-g),c.css("top",v.top+g)}else{var b=d.width(),S=b*h;m.css("left",Math.round(v.left+S-m.width()/2)),c.width(Math.round(S))}},y=function(h){var T=null,v=d.offset();if(r==="vertical"){var C=d.height(),g=h.pageY-v.top;if(T=(C-g)/C,v.top===0||v.left===0)return}else{var b=d.width(),S=h.pageX-v.left;T=S/b}T=Math.max(0,T),T=Math.min(T,1),p(T),T===0?a.setMuted(!0):a.setMuted(!1),a.setVolume(T)},f=!1,k=!1;l.hover(function(){u.show(),k=!0},function(){k=!1,f||r!="vertical"||u.hide()});var w=function(h){var T=Math.floor(100*a.volume);u.attr({"aria-label":mejs.i18n.t("volumeSlider"),"aria-valuemin":0,"aria-valuemax":100,"aria-valuenow":T,"aria-valuetext":T+"%",role:"slider",tabindex:0})};u.bind("mouseover",function(){k=!0}).bind("mousedown",function(h){return y(h),n.globalBind("mousemove.vol",function(T){y(T)}),n.globalBind("mouseup.vol",function(){f=!1,n.globalUnbind(".vol"),k||r!="vertical"||u.hide()}),f=!0,!1}).bind("keydown",function(h){var T=h.keyCode,v=a.volume;switch(T){case 38:v+=.1;break;case 40:v-=.1;break;default:return!0}return f=!1,p(v),a.setVolume(v),!1}),l.find("button").click(function(){a.setMuted(!a.muted)}),l.find("button").bind("focus",function(){u.show()}),a.addEventListener("volumechange",function(h){f||(a.muted?(p(0),l.removeClass("mejs-mute").addClass("mejs-unmute")):(p(a.volume),l.removeClass("mejs-unmute").addClass("mejs-mute"))),w(h)},!1),e.options.startVolume===0&&a.setMuted(!0),a.pluginType==="native"&&a.setVolume(e.options.startVolume),n.container.on("controlsresize",function(){p(a.volume)})}}})}(mejs.$),function(s){s.extend(mejs.MepDefaults,{usePluginFullScreen:!0,newWindowCallback:function(){return""},fullscreenText:mejs.i18n.t("Fullscreen")}),s.extend(MediaElementPlayer.prototype,{isFullScreen:!1,isNativeFullScreen:!1,isInIframe:!1,fullscreenMode:"",buildfullscreen:function(e,t,o,a){if(e.isVideo){e.isInIframe=window.location!=window.parent.location,a.addEventListener("play",function(){e.detectFullscreenMode()});var n=this,r=null,l=s('<div class="mejs-button mejs-fullscreen-button"><button type="button" aria-controls="'+n.id+'" title="'+n.options.fullscreenText+'" aria-label="'+n.options.fullscreenText+'"></button></div>').appendTo(t).on("click",function(){var d=mejs.MediaFeatures.hasTrueNativeFullScreen&&mejs.MediaFeatures.isFullScreen()||e.isFullScreen;d?e.exitFullScreen():e.enterFullScreen()}).on("mouseover",function(){if(n.fullscreenMode=="plugin-hover"){r!==null&&(clearTimeout(r),delete r);var d=l.offset(),c=e.container.offset();a.positionFullscreenButton(d.left-c.left,d.top-c.top,!0)}}).on("mouseout",function(){n.fullscreenMode=="plugin-hover"&&(r!==null&&(clearTimeout(r),delete r),r=setTimeout(function(){a.hideFullscreenButton()},1500))});if(e.fullscreenBtn=l,n.globalBind("keydown",function(d){d.keyCode==27&&(mejs.MediaFeatures.hasTrueNativeFullScreen&&mejs.MediaFeatures.isFullScreen()||n.isFullScreen)&&e.exitFullScreen()}),n.normalHeight=0,n.normalWidth=0,mejs.MediaFeatures.hasTrueNativeFullScreen){var u=function(d){e.isFullScreen&&(mejs.MediaFeatures.isFullScreen()?(e.isNativeFullScreen=!0,e.setControlsSize()):(e.isNativeFullScreen=!1,e.exitFullScreen()))};e.globalBind(mejs.MediaFeatures.fullScreenEventName,u)}}},detectFullscreenMode:function(){var e=this,t="",o=mejs.MediaFeatures;return o.hasTrueNativeFullScreen&&e.media.pluginType==="native"?t="native-native":o.hasTrueNativeFullScreen&&e.media.pluginType!=="native"&&!o.hasFirefoxPluginMovingProblem?t="plugin-native":e.usePluginFullScreen?mejs.MediaFeatures.supportsPointerEvents?(t="plugin-click",e.createPluginClickThrough()):t="plugin-hover":t="fullwindow",e.fullscreenMode=t,t},isPluginClickThroughCreated:!1,createPluginClickThrough:function(){var e=this;if(!e.isPluginClickThroughCreated){var t,o,a=!1,n=function(){if(a){for(var d in r)r[d].hide();e.fullscreenBtn.css("pointer-events",""),e.controls.css("pointer-events",""),e.media.removeEventListener("click",e.clickToPlayPauseCallback),a=!1}},r={},l=["top","left","right","bottom"],u=function(){var d=fullscreenBtn.offset().left-e.container.offset().left,c=fullscreenBtn.offset().top-e.container.offset().top,m=fullscreenBtn.outerWidth(!0),p=fullscreenBtn.outerHeight(!0),y=e.container.width(),f=e.container.height();for(t in r)r[t].css({position:"absolute",top:0,left:0});r.top.width(y).height(c),r.left.width(d).height(p).css({top:c}),r.right.width(y-d-m).height(p).css({top:c,left:d+m}),r.bottom.width(y).height(f-p-c).css({top:c+p})};for(e.globalBind("resize",function(){u()}),t=0,o=l.length;o>t;t++)r[l[t]]=s('<div class="mejs-fullscreen-hover" />').appendTo(e.container).mouseover(n).hide();fullscreenBtn.on("mouseover",function(){if(!e.isFullScreen){var d=fullscreenBtn.offset(),c=player.container.offset();media.positionFullscreenButton(d.left-c.left,d.top-c.top,!1),e.fullscreenBtn.css("pointer-events","none"),e.controls.css("pointer-events","none"),e.media.addEventListener("click",e.clickToPlayPauseCallback);for(t in r)r[t].show();u(),a=!0}}),media.addEventListener("fullscreenchange",function(d){e.isFullScreen=!e.isFullScreen,e.isFullScreen?e.media.removeEventListener("click",e.clickToPlayPauseCallback):e.media.addEventListener("click",e.clickToPlayPauseCallback),n()}),e.globalBind("mousemove",function(d){if(a){var c=fullscreenBtn.offset();(d.pageY<c.top||d.pageY>c.top+fullscreenBtn.outerHeight(!0)||d.pageX<c.left||d.pageX>c.left+fullscreenBtn.outerWidth(!0))&&(fullscreenBtn.css("pointer-events",""),e.controls.css("pointer-events",""),a=!1)}}),e.isPluginClickThroughCreated=!0}},cleanfullscreen:function(e){e.exitFullScreen()},containerSizeTimeout:null,enterFullScreen:function(){var e=this;return mejs.MediaFeatures.hasiOSFullScreen?void e.media.webkitEnterFullscreen():(s(document.documentElement).addClass("mejs-fullscreen"),e.normalHeight=e.container.height(),e.normalWidth=e.container.width(),e.fullscreenMode==="native-native"||e.fullscreenMode==="plugin-native"?(mejs.MediaFeatures.requestFullScreen(e.container[0]),e.isInIframe&&setTimeout(function t(){if(e.isNativeFullScreen){var o=window.devicePixelRatio||1,a=.002,n=o*s(window).width(),r=screen.width,l=o*n;Math.abs(r-n)>Math.abs(r-l)&&(n=l);var u=Math.abs(r-n),d=r*a;u>d?e.exitFullScreen():setTimeout(t,500)}},1e3)):e.fullscreeMode=="fullwindow",e.container.addClass("mejs-container-fullscreen").width("100%").height("100%"),e.containerSizeTimeout=setTimeout(function(){e.container.css({width:"100%",height:"100%"}),e.setControlsSize()},500),e.media.pluginType==="native"?e.$media.width("100%").height("100%"):(e.container.find(".mejs-shim").width("100%").height("100%"),setTimeout(function(){var t=s(window),o=t.width(),a=t.height();e.media.setVideoSize(o,a)},500)),e.layers.children("div").width("100%").height("100%"),e.fullscreenBtn&&e.fullscreenBtn.removeClass("mejs-fullscreen").addClass("mejs-unfullscreen"),e.setControlsSize(),e.isFullScreen=!0,e.container.find(".mejs-captions-text").css("font-size",screen.width/e.width*1*100+"%"),e.container.find(".mejs-captions-position").css("bottom","45px"),void e.container.trigger("enteredfullscreen"))},exitFullScreen:function(){var e=this;clearTimeout(e.containerSizeTimeout),mejs.MediaFeatures.hasTrueNativeFullScreen&&(mejs.MediaFeatures.isFullScreen()||e.isFullScreen)&&mejs.MediaFeatures.cancelFullScreen(),s(document.documentElement).removeClass("mejs-fullscreen"),e.container.removeClass("mejs-container-fullscreen").width(e.normalWidth).height(e.normalHeight),e.media.pluginType==="native"?e.$media.width(e.normalWidth).height(e.normalHeight):(e.container.find(".mejs-shim").width(e.normalWidth).height(e.normalHeight),e.media.setVideoSize(e.normalWidth,e.normalHeight)),e.layers.children("div").width(e.normalWidth).height(e.normalHeight),e.fullscreenBtn.removeClass("mejs-unfullscreen").addClass("mejs-fullscreen"),e.setControlsSize(),e.isFullScreen=!1,e.container.find(".mejs-captions-text").css("font-size",""),e.container.find(".mejs-captions-position").css("bottom",""),e.container.trigger("exitedfullscreen")}})}(mejs.$),function(s){s.extend(mejs.MepDefaults,{speeds:["2.00","1.50","1.25","1.00","0.75"],defaultSpeed:"1.00",speedChar:"x"}),s.extend(MediaElementPlayer.prototype,{buildspeed:function(e,t,o,a){var n=this;if(n.media.pluginType=="native"){for(var r=null,l=null,u=null,d=null,c=[],m=!1,p=0,y=n.options.speeds.length;y>p;p++){var f=n.options.speeds[p];typeof f=="string"?(c.push({name:f+n.options.speedChar,value:f}),f===n.options.defaultSpeed&&(m=!0)):(c.push(f),f.value===n.options.defaultSpeed&&(m=!0))}m||c.push({name:n.options.defaultSpeed+n.options.speedChar,value:n.options.defaultSpeed}),c.sort(function(h,T){return parseFloat(T.value)-parseFloat(h.value)});var k=function(h){for(p=0,y=c.length;y>p;p++)if(c[p].value===h)return c[p].name},w='<div class="mejs-button mejs-speed-button"><button type="button">'+k(n.options.defaultSpeed)+'</button><div class="mejs-speed-selector"><ul>';for(p=0,il=c.length;p<il;p++)d=n.id+"-speed-"+c[p].value,w+='<li><input type="radio" name="speed" value="'+c[p].value+'" id="'+d+'" '+(c[p].value===n.options.defaultSpeed?" checked":"")+' /><label for="'+d+'" '+(c[p].value===n.options.defaultSpeed?' class="mejs-speed-selected"':"")+">"+c[p].name+"</label></li>";w+="</ul></div></div>",r=s(w).appendTo(t),l=r.find(".mejs-speed-selector"),u=n.options.defaultSpeed,a.addEventListener("loadedmetadata",function(h){u&&(a.playbackRate=parseFloat(u))},!0),l.on("click",'input[type="radio"]',function(){var h=s(this).attr("value");u=h,a.playbackRate=parseFloat(h),r.find("button").html(k(h)),r.find(".mejs-speed-selected").removeClass("mejs-speed-selected"),r.find('input[type="radio"]:checked').next().addClass("mejs-speed-selected")}),r.one("mouseenter focusin",function(){l.height(r.find(".mejs-speed-selector ul").outerHeight(!0)+r.find(".mejs-speed-translations").outerHeight(!0)).css("top",-1*l.height()+"px")})}}})}(mejs.$),function(s){s.extend(mejs.MepDefaults,{startLanguage:"",tracksText:mejs.i18n.t("Captions/Subtitles"),tracksAriaLive:!1,hideCaptionsButtonWhenEmpty:!0,toggleCaptionsButtonWhenOnlyOne:!1,slidesSelector:""}),s.extend(MediaElementPlayer.prototype,{hasChapters:!1,cleartracks:function(e,t,o,a){e&&(e.captions&&e.captions.remove(),e.chapters&&e.chapters.remove(),e.captionsText&&e.captionsText.remove(),e.captionsButton&&e.captionsButton.remove())},buildtracks:function(e,t,o,a){if(e.tracks.length!==0){var n,r=this,l=r.options.tracksAriaLive?'role="log" aria-live="assertive" aria-atomic="false"':"";if(r.domNode.textTracks)for(n=r.domNode.textTracks.length-1;n>=0;n--)r.domNode.textTracks[n].mode="hidden";r.cleartracks(e,t,o,a),e.chapters=s('<div class="mejs-chapters mejs-layer"></div>').prependTo(o).hide(),e.captions=s('<div class="mejs-captions-layer mejs-layer"><div class="mejs-captions-position mejs-captions-position-hover" '+l+'><span class="mejs-captions-text"></span></div></div>').prependTo(o).hide(),e.captionsText=e.captions.find(".mejs-captions-text"),e.captionsButton=s('<div class="mejs-button mejs-captions-button"><button type="button" aria-controls="'+r.id+'" title="'+r.options.tracksText+'" aria-label="'+r.options.tracksText+'"></button><div class="mejs-captions-selector"><ul><li><input type="radio" name="'+e.id+'_captions" id="'+e.id+'_captions_none" value="none" checked="checked" /><label for="'+e.id+'_captions_none">'+mejs.i18n.t("None")+"</label></li></ul></div></div>").appendTo(t);var u=0;for(n=0;n<e.tracks.length;n++)e.tracks[n].kind=="subtitles"&&u++;for(r.options.toggleCaptionsButtonWhenOnlyOne&&u==1?e.captionsButton.on("click",function(){e.selectedTrack===null?lang=e.tracks[0].srclang:lang="none",e.setTrack(lang)}):(e.captionsButton.on("mouseenter focusin",function(){s(this).find(".mejs-captions-selector").removeClass("mejs-offscreen")}).on("click","input[type=radio]",function(){lang=this.value,e.setTrack(lang)}),e.captionsButton.on("mouseleave focusout",function(){s(this).find(".mejs-captions-selector").addClass("mejs-offscreen")})),e.options.alwaysShowControls?e.container.find(".mejs-captions-position").addClass("mejs-captions-position-hover"):e.container.bind("controlsshown",function(){e.container.find(".mejs-captions-position").addClass("mejs-captions-position-hover")}).bind("controlshidden",function(){a.paused||e.container.find(".mejs-captions-position").removeClass("mejs-captions-position-hover")}),e.trackToLoad=-1,e.selectedTrack=null,e.isLoadingTrack=!1,n=0;n<e.tracks.length;n++)e.tracks[n].kind=="subtitles"&&e.addTrackButton(e.tracks[n].srclang,e.tracks[n].label);e.loadNextTrack(),a.addEventListener("timeupdate",function(d){e.displayCaptions()},!1),e.options.slidesSelector!==""&&(e.slidesContainer=s(e.options.slidesSelector),a.addEventListener("timeupdate",function(d){e.displaySlides()},!1)),a.addEventListener("loadedmetadata",function(d){e.displayChapters()},!1),e.container.hover(function(){e.hasChapters&&(e.chapters.removeClass("mejs-offscreen"),e.chapters.fadeIn(200).height(e.chapters.find(".mejs-chapter").outerHeight()))},function(){e.hasChapters&&!a.paused&&e.chapters.fadeOut(200,function(){s(this).addClass("mejs-offscreen"),s(this).css("display","block")})}),r.container.on("controlsresize",function(){r.adjustLanguageBox()}),e.node.getAttribute("autoplay")!==null&&e.chapters.addClass("mejs-offscreen")}},setTrack:function(e){var t,o=this;if(e=="none")o.selectedTrack=null,o.captionsButton.removeClass("mejs-captions-enabled");else for(t=0;t<o.tracks.length;t++)if(o.tracks[t].srclang==e){o.selectedTrack===null&&o.captionsButton.addClass("mejs-captions-enabled"),o.selectedTrack=o.tracks[t],o.captions.attr("lang",o.selectedTrack.srclang),o.displayCaptions();break}},loadNextTrack:function(){var e=this;e.trackToLoad++,e.trackToLoad<e.tracks.length?(e.isLoadingTrack=!0,e.loadTrack(e.trackToLoad)):(e.isLoadingTrack=!1,e.checkForTracks())},loadTrack:function(e){var t=this,o=t.tracks[e],a=function(){o.isLoaded=!0,t.enableTrackButton(o.srclang,o.label),t.loadNextTrack()};s.ajax({url:o.src,dataType:"text",success:function(n){typeof n=="string"&&/<tt\s+xml/gi.exec(n)?o.entries=mejs.TrackFormatParser.dfxp.parse(n):o.entries=mejs.TrackFormatParser.webvtt.parse(n),a(),o.kind=="chapters"&&t.media.addEventListener("play",function(r){t.media.duration>0&&t.displayChapters(o)},!1),o.kind=="slides"&&t.setupSlides(o)},error:function(){t.removeTrackButton(o.srclang),t.loadNextTrack()}})},enableTrackButton:function(e,t){var o=this;t===""&&(t=mejs.language.codes[e]||e),o.captionsButton.find("input[value="+e+"]").prop("disabled",!1).siblings("label").html(t),o.options.startLanguage==e&&s("#"+o.id+"_captions_"+e).prop("checked",!0).trigger("click"),o.adjustLanguageBox()},removeTrackButton:function(e){var t=this;t.captionsButton.find("input[value="+e+"]").closest("li").remove(),t.adjustLanguageBox()},addTrackButton:function(e,t){var o=this;t===""&&(t=mejs.language.codes[e]||e),o.captionsButton.find("ul").append(s('<li><input type="radio" name="'+o.id+'_captions" id="'+o.id+"_captions_"+e+'" value="'+e+'" disabled="disabled" /><label for="'+o.id+"_captions_"+e+'">'+t+" (loading)</label></li>")),o.adjustLanguageBox(),o.container.find(".mejs-captions-translations option[value="+e+"]").remove()},adjustLanguageBox:function(){var e=this;e.captionsButton.find(".mejs-captions-selector").height(e.captionsButton.find(".mejs-captions-selector ul").outerHeight(!0)+e.captionsButton.find(".mejs-captions-translations").outerHeight(!0))},checkForTracks:function(){var e=this,t=!1;if(e.options.hideCaptionsButtonWhenEmpty){for(i=0;i<e.tracks.length;i++)if(e.tracks[i].kind=="subtitles"&&e.tracks[i].isLoaded){t=!0;break}t||(e.captionsButton.hide(),e.setControlsSize())}},displayCaptions:function(){if(typeof this.tracks!="undefined"){var e,t=this,o=t.selectedTrack;if(o!==null&&o.isLoaded){for(e=0;e<o.entries.times.length;e++)if(t.media.currentTime>=o.entries.times[e].start&&t.media.currentTime<=o.entries.times[e].stop)return t.captionsText.html(o.entries.text[e]).attr("class","mejs-captions-text "+(o.entries.times[e].identifier||"")),void t.captions.show().height(0);t.captions.hide()}else t.captions.hide()}},setupSlides:function(e){var t=this;t.slides=e,t.slides.entries.imgs=[t.slides.entries.text.length],t.showSlide(0)},showSlide:function(e){if(typeof this.tracks!="undefined"&&typeof this.slidesContainer!="undefined"){var t=this,o=t.slides.entries.text[e],a=t.slides.entries.imgs[e];typeof a=="undefined"||typeof a.fadeIn=="undefined"?t.slides.entries.imgs[e]=a=s('<img src="'+o+'">').on("load",function(){a.appendTo(t.slidesContainer).hide().fadeIn().siblings(":visible").fadeOut()}):a.is(":visible")||a.is(":animated")||a.fadeIn().siblings(":visible").fadeOut()}},displaySlides:function(){if(typeof this.slides!="undefined"){var e,t=this,o=t.slides;for(e=0;e<o.entries.times.length;e++)if(t.media.currentTime>=o.entries.times[e].start&&t.media.currentTime<=o.entries.times[e].stop)return void t.showSlide(e)}},displayChapters:function(){var e,t=this;for(e=0;e<t.tracks.length;e++)if(t.tracks[e].kind=="chapters"&&t.tracks[e].isLoaded){t.drawChapters(t.tracks[e]),t.hasChapters=!0;break}},drawChapters:function(e){var t,o,a=this,n=0,r=0;for(a.chapters.empty(),t=0;t<e.entries.times.length;t++)o=e.entries.times[t].stop-e.entries.times[t].start,n=Math.floor(o/a.media.duration*100),(n+r>100||t==e.entries.times.length-1&&100>n+r)&&(n=100-r),a.chapters.append(s('<div class="mejs-chapter" rel="'+e.entries.times[t].start+'" style="left: '+r.toString()+"%;width: "+n.toString()+'%;"><div class="mejs-chapter-block'+(t==e.entries.times.length-1?" mejs-chapter-block-last":"")+'"><span class="ch-title">'+e.entries.text[t]+'</span><span class="ch-time">'+mejs.Utility.secondsToTimeCode(e.entries.times[t].start,a.options)+"&ndash;"+mejs.Utility.secondsToTimeCode(e.entries.times[t].stop,a.options)+"</span></div></div>")),r+=n;a.chapters.find("div.mejs-chapter").click(function(){a.media.setCurrentTime(parseFloat(s(this).attr("rel"))),a.media.paused&&a.media.play()}),a.chapters.show()}}),mejs.language={codes:{af:"Afrikaans",sq:"Albanian",ar:"Arabic",be:"Belarusian",bg:"Bulgarian",ca:"Catalan",zh:"Chinese","zh-cn":"Chinese Simplified","zh-tw":"Chinese Traditional",hr:"Croatian",cs:"Czech",da:"Danish",nl:"Dutch",en:"English",et:"Estonian",fl:"Filipino",fi:"Finnish",fr:"French",gl:"Galician",de:"German",el:"Greek",ht:"Haitian Creole",iw:"Hebrew",hi:"Hindi",hu:"Hungarian",is:"Icelandic",id:"Indonesian",ga:"Irish",it:"Italian",ja:"Japanese",ko:"Korean",lv:"Latvian",lt:"Lithuanian",mk:"Macedonian",ms:"Malay",mt:"Maltese",no:"Norwegian",fa:"Persian",pl:"Polish",pt:"Portuguese",ro:"Romanian",ru:"Russian",sr:"Serbian",sk:"Slovak",sl:"Slovenian",es:"Spanish",sw:"Swahili",sv:"Swedish",tl:"Tagalog",th:"Thai",tr:"Turkish",uk:"Ukrainian",vi:"Vietnamese",cy:"Welsh",yi:"Yiddish"}},mejs.TrackFormatParser={webvtt:{pattern_timecode:/^((?:[0-9]{1,2}:)?[0-9]{2}:[0-9]{2}([,.][0-9]{1,3})?) --\> ((?:[0-9]{1,2}:)?[0-9]{2}:[0-9]{2}([,.][0-9]{3})?)(.*)$/,parse:function(e){for(var t,o,a,n=0,r=mejs.TrackFormatParser.split2(e,/\r?\n/),l={text:[],times:[]};n<r.length;n++){if(t=this.pattern_timecode.exec(r[n]),t&&n<r.length){for(n-1>=0&&r[n-1]!==""&&(a=r[n-1]),n++,o=r[n],n++;r[n]!==""&&n<r.length;)o=o+`
`+r[n],n++;o=s.trim(o).replace(/(\b(https?|ftp|file):\/\/[-A-Z0-9+&@#\/%?=~_|!:,.;]*[-A-Z0-9+&@#\/%=~_|])/gi,"<a href='$1' target='_blank'>$1</a>"),l.text.push(o),l.times.push({identifier:a,start:mejs.Utility.convertSMPTEtoSeconds(t[1])===0?.2:mejs.Utility.convertSMPTEtoSeconds(t[1]),stop:mejs.Utility.convertSMPTEtoSeconds(t[3]),settings:t[5]})}a=""}return l}},dfxp:{parse:function(e){e=s(e).filter("tt");var t,o,a=0,n=e.children("div").eq(0),r=n.find("p"),l=e.find("#"+n.attr("style")),u={text:[],times:[]};if(l.length){var d=l.removeAttr("id").get(0).attributes;if(d.length)for(t={},a=0;a<d.length;a++)t[d[a].name.split(":")[1]]=d[a].value}for(a=0;a<r.length;a++){var c,m={start:null,stop:null,style:null};if(r.eq(a).attr("begin")&&(m.start=mejs.Utility.convertSMPTEtoSeconds(r.eq(a).attr("begin"))),!m.start&&r.eq(a-1).attr("end")&&(m.start=mejs.Utility.convertSMPTEtoSeconds(r.eq(a-1).attr("end"))),r.eq(a).attr("end")&&(m.stop=mejs.Utility.convertSMPTEtoSeconds(r.eq(a).attr("end"))),!m.stop&&r.eq(a+1).attr("begin")&&(m.stop=mejs.Utility.convertSMPTEtoSeconds(r.eq(a+1).attr("begin"))),t){c="";for(var p in t)c+=p+":"+t[p]+";"}c&&(m.style=c),m.start===0&&(m.start=.2),u.times.push(m),o=s.trim(r.eq(a).html()).replace(/(\b(https?|ftp|file):\/\/[-A-Z0-9+&@#\/%?=~_|!:,.;]*[-A-Z0-9+&@#\/%=~_|])/gi,"<a href='$1' target='_blank'>$1</a>"),u.text.push(o),u.times.start===0&&(u.times.start=2)}return u}},split2:function(e,t){return e.split(t)}},`x

y`.split(/\n/gi).length!=3&&(mejs.TrackFormatParser.split2=function(e,t){var o,a=[],n="";for(o=0;o<e.length;o++)n+=e.substring(o,o+1),t.test(n)&&(a.push(n.replace(t,"")),n="");return a.push(n),a})}(mejs.$),function(s){s.extend(mejs.MepDefaults,{contextMenuItems:[{render:function(e){return typeof e.enterFullScreen=="undefined"?null:e.isFullScreen?mejs.i18n.t("Turn off Fullscreen"):mejs.i18n.t("Go Fullscreen")},click:function(e){e.isFullScreen?e.exitFullScreen():e.enterFullScreen()}},{render:function(e){return e.media.muted?mejs.i18n.t("Unmute"):mejs.i18n.t("Mute")},click:function(e){e.media.muted?e.setMuted(!1):e.setMuted(!0)}},{isSeparator:!0},{render:function(e){return mejs.i18n.t("Download Video")},click:function(e){window.location.href=e.media.currentSrc}}]}),s.extend(MediaElementPlayer.prototype,{buildcontextmenu:function(e,t,o,a){e.contextMenu=s('<div class="mejs-contextmenu"></div>').appendTo(s("body")).hide(),e.container.bind("contextmenu",function(n){return e.isContextMenuEnabled?(n.preventDefault(),e.renderContextMenu(n.clientX-1,n.clientY-1),!1):void 0}),e.container.bind("click",function(){e.contextMenu.hide()}),e.contextMenu.bind("mouseleave",function(){e.startContextMenuTimer()})},cleancontextmenu:function(e){e.contextMenu.remove()},isContextMenuEnabled:!0,enableContextMenu:function(){this.isContextMenuEnabled=!0},disableContextMenu:function(){this.isContextMenuEnabled=!1},contextMenuTimeout:null,startContextMenuTimer:function(){var e=this;e.killContextMenuTimer(),e.contextMenuTimer=setTimeout(function(){e.hideContextMenu(),e.killContextMenuTimer()},750)},killContextMenuTimer:function(){var e=this.contextMenuTimer;e!=null&&(clearTimeout(e),delete e,e=null)},hideContextMenu:function(){this.contextMenu.hide()},renderContextMenu:function(e,t){for(var o=this,a="",n=o.options.contextMenuItems,r=0,l=n.length;l>r;r++)if(n[r].isSeparator)a+='<div class="mejs-contextmenu-separator"></div>';else{var u=n[r].render(o);u!=null&&(a+='<div class="mejs-contextmenu-item" data-itemindex="'+r+'" id="element-'+1e6*Math.random()+'">'+u+"</div>")}o.contextMenu.empty().append(s(a)).css({top:t,left:e}).show(),o.contextMenu.find(".mejs-contextmenu-item").each(function(){var d=s(this),c=parseInt(d.data("itemindex"),10),m=o.options.contextMenuItems[c];typeof m.show!="undefined"&&m.show(d,o),d.click(function(){typeof m.click!="undefined"&&m.click(o),o.contextMenu.hide()})}),setTimeout(function(){o.killControlsTimer("rev3")},100)}})}(mejs.$),function(s){s.extend(mejs.MepDefaults,{skipBackInterval:30,skipBackText:mejs.i18n.t("Skip back %1 seconds")}),s.extend(MediaElementPlayer.prototype,{buildskipback:function(e,t,o,a){var n=this,r=n.options.skipBackText.replace("%1",n.options.skipBackInterval);s('<div class="mejs-button mejs-skip-back-button"><button type="button" aria-controls="'+n.id+'" title="'+r+'" aria-label="'+r+'">'+n.options.skipBackInterval+"</button></div>").appendTo(t).click(function(){a.setCurrentTime(Math.max(a.currentTime-n.options.skipBackInterval,0)),s(this).find("button").blur()})}})}(mejs.$),function(s){s.extend(mejs.MepDefaults,{postrollCloseText:mejs.i18n.t("Close")}),s.extend(MediaElementPlayer.prototype,{buildpostroll:function(e,t,o,a){var n=this,r=n.container.find('link[rel="postroll"]').attr("href");typeof r!="undefined"&&(e.postroll=s('<div class="mejs-postroll-layer mejs-layer"><a class="mejs-postroll-close" onclick="$(this).parent().hide();return false;">'+n.options.postrollCloseText+'</a><div class="mejs-postroll-layer-content"></div></div>').prependTo(o).hide(),n.media.addEventListener("ended",function(l){s.ajax({dataType:"html",url:r,success:function(u,d){o.find(".mejs-postroll-layer-content").html(u)}}),e.postroll.show()},!1))}})}(mejs.$);
